unit Unit2;

interface
uses StdCtrls, SysUtils;
Type fun= Function(x:extended):Extended;
Procedure Tabl(f:fun;Xn,Xk:extended; m: word; Memo1: TMemo);
implementation
 procedure Tabl;
  var x,y,h:Extended;    I:integer;
  begin
  x:=xn;  h:=(xn-xk)/m;
 for i:=1 to m+1 do begin
  y:=f(x);
 Memo1.Lines.add('x='+Floattostrf(x,fffixed,8,3)+ 'y='+Floattostrf(y,fffixed,8,3));
 x:=x+h;
 end;
end;

end.
